Skip to main content
`Ctrl`+`K`

# DMPlexGetDepthStratum

Get the bounds [`start`, `end`) for all points at a certain depth.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepthStratum(DM dm, PetscInt depth, PetscInt *start, PetscInt *end)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- depth - The requested depth

## Output Parameters

- start - The first point at this `depth`

- end - One beyond the last point at this `depth`

## Notes

Depth indexing is related to topological dimension. Depth stratum 0 contains the lowest topological dimension points, often “vertices”. If the mesh is “interpolated” (see `DMPlexInterpolate()`), then depth stratum 1 contains the next higher dimension, e.g., “edges”.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetHeightStratum()`, `DMPlexGetCellTypeStratum()`, `DMPlexGetDepth()`, `DMPlexGetDepthLabel()`, `DMPlexGetPointDepth()`, `DMPlexSymmetrize()`, `DMPlexInterpolate()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex11_sa.c
src/dm/impls/plex/tutorials/ex7.c
src/snes/tutorials/ex7.c
src/snes/tutorials/ex17.c
src/ts/tutorials/ex11.c
src/snes/tutorials/ex13.c
src/dm/impls/plex/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages